-1

After i do apt autoremove i get this error(i think my dpkg is broken and my apt [?]):

new python3-sqlalchemy package pre-removal script subprocess returned error exi t status 127 /var/lib/dpkg/info/python3-sqlalchemy.postinst: 6: py3compile: not found dpkg: error while cleaning up: installed python3-sqlalchemy package post-installation script subprocess return ed error exit status 127 Errors were encountered while processing: /tmp/apt-dpkg-install-DrPwsk/00-cython3_0.29.21-1_amd64.deb /tmp/apt-dpkg-install-DrPwsk/01-python3-asn1crypto_1.3.0-1_all.deb /tmp/apt-dpkg-install-DrPwsk/02-python3-atomicwrites_1.4.0-1_all.deb /tmp/apt-dpkg-install-DrPwsk/03-python3-brotli_1.0.7-7_amd64.deb /tmp/apt-dpkg-install-DrPwsk/04-python3-capstone_4.0.1+really+3.0.5-2_amd64.deb /tmp/apt-dpkg-install-DrPwsk/05-python3-ldapdomaindump_0.9.3-1_all.deb /tmp/apt-dpkg-install-DrPwsk/06-python3-packaging_20.4-1_all.deb /tmp/apt-dpkg-install-DrPwsk/07-python3-paste_3.4.2+dfsg1-1_all.deb /tmp/apt-dpkg-install-DrPwsk/08-python3-protobuf_3.12.3-2_amd64.deb /tmp/apt-dpkg-install-DrPwsk/09-python3-py_1.8.1-4_all.deb /tmp/apt-dpkg-install-DrPwsk/10-python3-pyasn1_0.4.8-1_all.deb /tmp/apt-dpkg-install-DrPwsk/11-python3-speaklater_1.3-5_all.deb /tmp/apt-dpkg-install-DrPwsk/12-python3-sqlalchemy_1.3.18+ds1-1_all.deb E: Sub-process /usr/bin/dpkg returned an error code (1)

5
  • did you do what the message suggests to do?
    – jsotola
    Jul 22 '20 at 23:43
  • @jsotola yes i tried, this is the last line couple last lines after doing so:
    – RKTKZ
    Jul 29 '20 at 7:38
  • @jsotola photos.app.goo.gl/sBA9sj3cxKPkvcyR6
    – RKTKZ
    Jul 29 '20 at 7:44
  • nobody is going to look at photo of text ... there is no way to copy the text and do web searches ... if you have additional info, then use the edit button to add the text to your post ... not picture, text ... format the text same way as your previous printout
    – jsotola
    Jul 29 '20 at 19:47
  • @jsotola done, this is the new output i get.
    – RKTKZ
    Jul 31 '20 at 15:50
0

Ok, So I had the same error and fixed it a moment ago. First I did

apt autoremove

then I went here https://packages.debian.org/sid/docutils-common and downloaded the file.

Did a

dpkg -i 

to install the deb file.

Then I used

apt install --fix-broken

Again this fixed my install hope it helps.

1
  • I tried the apt autoremove and i get the new output above, i couldn't put the whole thing so u just copied the bottom part with hints (ig)
    – RKTKZ
    Aug 5 '20 at 7:50

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.